
From: Roger Luethi <rl@hellgate.ch>

__might_sleep prints warnings only after jiffies wrap (typically after 5
minutes of uptime).



 kernel/sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sched.c~might_sleep-vs-jiffies-wrap kernel/sched.c
--- 25/kernel/sched.c~might_sleep-vs-jiffies-wrap	2003-10-12 17:53:58.000000000 -0700
+++ 25-akpm/kernel/sched.c	2003-10-12 17:53:58.000000000 -0700
@@ -2856,7 +2856,7 @@ void __might_sleep(char *file, int line)
 	static unsigned long prev_jiffy;	/* ratelimiting */
 
 	if (in_atomic() || irqs_disabled()) {
-		if (time_before(jiffies, prev_jiffy + HZ))
+		if (time_before(jiffies, prev_jiffy + HZ) && prev_jiffy)
 			return;
 		prev_jiffy = jiffies;
 		printk(KERN_ERR "Debug: sleeping function called from invalid"

_
